modular-integral.h File Reference

representation of `Z/mZ` over int types. More...

`#include "givaro/givinteger.h"`
`#include "givaro/givcaster.h"`
`#include "givaro/givranditer.h"`
`#include "givaro/givtypestring.h"`
`#include "givaro/ring-interface.h"`
`#include "givaro/modular-general.h"`
`#include "givaro/modular-implem.h"`
`#include "modular-mulprecomp.inl"`
`#include "modular-integral.inl"`
Include dependency graph for modular-integral.h:

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

representation of `Z/mZ` over int types.